Skip to main content
POST
Create Schedule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

command_id
string<uuid>
required

Command ID to schedule

Query Parameters

organization_id
string
required

Body

application/json

Create model for command schedule.

command_id
string<uuid>
required

ID of the command to execute

organization_id
string<uuid>
required

Organization ID

cron_expression
string
required

Cron expression (e.g., '0 9 * * 1' for Monday 9am)

timezone
string
default:UTC

Timezone for cron evaluation

enabled
boolean
default:true

Whether the schedule is active

name
string | null

Optional name for the schedule

Maximum string length: 255
run_mode
string
default:per_subscriber

Execution mode: 'per_subscriber' or 'once_distribute'

Maximum string length: 20
subscriber_user_ids
string<uuid>[] | null

Optional initial subscriber user IDs to create with the schedule.

Response

Successful Response

Response model for command schedule.

command_id
string<uuid>
required

ID of the command to execute

organization_id
string<uuid>
required

Organization ID

cron_expression
string
required

Cron expression (e.g., '0 9 * * 1' for Monday 9am)

id
string<uuid>
required
next_run_time
string<date-time>
required
last_run_time
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
timezone
string
default:UTC

Timezone for cron evaluation

enabled
boolean
default:true

Whether the schedule is active

name
string | null
run_mode
string
default:per_subscriber
created_by_user_id
string<uuid> | null